<template>
    <div class="relative">
        <div class="flex flex-row justify-between pb-8">
            <p class="w-1/3 text-gray-700">{{ label }}</p>
            <input
                class="w-2/3 border border-gray-500 rounded"
                :class="{ 'border-red-500': error }"
                type="text"
                :value="value"
                @input="updateValue($event.target.value)"
            />
        </div>
        <p class="absolute top-7 left-1/3 text-sm text-red-700">{{ error }}</p>
    </div>
</template>

<script>
export default {
    props: {
        label: {
            required: true,
            type: String,
        },
        error: {
            default: "",
            type: String,
        },
        value: {
            default: "",
            type: String,
        },
    },
    data() {
        return {
            inputText: "",
        };
    },
    methods: {
        updateValue (value) {
            this.$emit('input', value)
        },
    },
};
</script>
